Package org.eclipse.cdt.core.dom.ast

## Enum IASTBinaryTypeIdExpression.Operator

- java.lang.Object
- - java.lang.Enum<IASTBinaryTypeIdExpression.Operator>
  - - org.eclipse.cdt.core.dom.ast.IASTBinaryTypeIdExpression.Operator

All Implemented Interfaces:
  `Serializable`, `Comparable<IASTBinaryTypeIdExpression.Operator>`

Enclosing interface:
  IASTBinaryTypeIdExpression

    public static enum IASTBinaryTypeIdExpression.Operator
    extends Enum<IASTBinaryTypeIdExpression.Operator>

Built-in type traits of g++.

### Enum Constant Summary

Enum Constants
`__is_base_of`
`__is_same`
`__is_trivially_assignable`

### Method Summary

All Methods Static Methods Concrete Methods
`static IASTBinaryTypeIdExpression.Operator` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static IASTBinaryTypeIdExpression.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### __is_base_of

    public static final IASTBinaryTypeIdExpression.Operator __is_base_of

#### __is_trivially_assignable

    public static final IASTBinaryTypeIdExpression.Operator __is_trivially_assignable

Since:
  6.0

#### __is_same

    public static final IASTBinaryTypeIdExpression.Operator __is_same

Since:
  7.1

### Method Detail

#### values

    public static IASTBinaryTypeIdExpression.Operator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IASTBinaryTypeIdExpression.Operator c : IASTBinaryTypeIdExpression.Operator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IASTBinaryTypeIdExpression.Operator valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null